# Generated by Medikit 0.5.20 on 2018-04-18.
# All changes will be overriden.
# Edit Projectfile and run “make update” (or “medikit update”) to regenerate.

from setuptools import setup, find_packages
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

# Py3 compatibility hacks, borrowed from IPython.
try:
    execfile
except NameError:

    def execfile(fname, globs, locs=None):
        locs = locs or globs
        exec(compile(open(fname).read(), fname, "exec"), globs, locs)


# Get the long description from the README file
try:
    with open(path.join(here, 'README.rst'), encoding='utf-8') as f:
        long_description = f.read()
except:
    long_description = ''

# Get the classifiers from the classifiers file
tolines = lambda c: list(filter(None, map(lambda s: s.strip(), c.split('\n'))))
try:
    with open(path.join(here, 'classifiers.txt'), encoding='utf-8') as f:
        classifiers = tolines(f.read())
except:
    classifiers = []

version_ns = {}
try:
    execfile(path.join(here, 'windflow/_version.py'), version_ns)
except EnvironmentError:
    version = 'dev'
else:
    version = version_ns.get('__version__', 'dev')

setup(
    author='Romain Dorgueil',
    author_email='romain@dorgueil.net',
    description=('Windflow helps to write web apps (asyncio, tornado, sqlalchemy). '
                 'Experimental, use at own risks.'),
    license='Apache 2.0',
    name='windflow',
    version=version,
    long_description=long_description,
    classifiers=classifiers,
    packages=find_packages(exclude=['ez_setup', 'example', 'test']),
    include_package_data=True,
    install_requires=[
        'Jinja2 (~= 2.9)', 'SQLAlchemy (>= 1.2, < 1.3)', 'Werkzeug (~= 0.14.1)', 'honcho (~= 1.0.1)',
        'python-dotenv (~= 0.8.2)', 'simplejson (~= 3.13.2)', 'tornado (~= 5.0)'
    ],
    extras_require={
        'alembic': ['alembic (~= 0.9.9)'],
        'dev': ['coverage (~= 4.4)', 'pytest (~= 3.4)', 'pytest-cov (~= 2.5)', 'sphinx (~= 1.7)', 'yapf'],
        'uvloop': ['uvloop (~= 0.9.1)']
    },
    url='https://github.com/hartym/windflow',
    download_url='https://github.com/hartym/windflow/archive/{version}.tar.gz'.format(version=version),
)
